org.apache.poi.hpsf.wellknown

## Class SectionIDMap

- java.lang.Object
- - org.apache.poi.hpsf.wellknown.SectionIDMap

- Deprecated.
  in 4.0.0, there's no way to create custom PropertyIDMaps, therefore this class is obsolete

      @Internal
       @Deprecated
       @Removal(version="4.2.0")
      public class SectionIDMap
      extends java.lang.Object

  This classed used to map section format IDs to `PropertyIDMaps`, but there's no way to use custom PropertyIDMaps.

  It is only kept for its ClassIDs until removal.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClassID[]` | `DOCUMENT_SUMMARY_INFORMATION_ID` Deprecated. use `DocumentSummaryInformation.FORMAT_ID`
    `static ClassID` | `SUMMARY_INFORMATION_ID` Deprecated. use `SummaryInformation.FORMAT_ID`
    `static java.lang.String` | `UNDEFINED` Deprecated. use `PropertyIDMap.UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionIDMap()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUMMARY_INFORMATION_ID

          @Deprecated
          public static final ClassID SUMMARY_INFORMATION_ID

      Deprecated. use `SummaryInformation.FORMAT_ID`
      The SummaryInformation's section's format ID.

    - #### DOCUMENT_SUMMARY_INFORMATION_ID

          @Deprecated
          public static final ClassID[] DOCUMENT_SUMMARY_INFORMATION_ID

      Deprecated. use `DocumentSummaryInformation.FORMAT_ID`
      The DocumentSummaryInformation's first and second sections' format ID.

    - #### UNDEFINED

          @Deprecated
          public static final java.lang.String UNDEFINED

      Deprecated. use `PropertyIDMap.UNDEFINED`
      A property without a known name is described by this string.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SectionIDMap

          public SectionIDMap()

      Deprecated.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.